Skip to navigation

Retrieve employee payslip records

Returns a list of payslip records for the specified worker.

Token scopes: payslips:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR

Path parameters

worker_idstringRequired
The ID of the worker whose payslips are being retrieved.

Response

Payslip records successfully retrieved.
datalist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error